DRM_VMA_OFFSET_EXACT(9)

NAME
drm_vma_offset_exact_lookup - Look up node by exact address

SYNOPSIS

struct drm_vma_offset_node * drm_vma_offset_exact_lookup(struct drm_vma_offset_manager * mgr, unsigned long start, unsigned long pages);

ARGUMENTS

mgr
    Manager object

start
    Start address (page-based, not byte-based)

pages
    Size of object (page-based)

DESCRIPTION

Same as drm_vma_offset_lookup but does not allow any offset into the node. It only returns the exact object with the given start address.

RETURNS

Node at exact start address start.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT